<?php
function selaluceria_excerpt_read_more() {
	return '<span class=\'clear\'><a class=\'readmore\' href=\''. get_permalink() . '\'>' . __( 'read more', 'selaluceria') . '</a></span>';
}
add_filter('excerpt_more', 'selaluceria_excerpt_read_more');

function selaluceria_read_more_length($length) {
	return 33;
}
add_filter('excerpt_length', 'selaluceria_read_more_length');

function selaluceria_setup() {
	if ( ! isset( $content_width ) )
		$content_width = 600;
	// Load textdomain
	load_theme_textdomain('selaluceria', get_template_directory().'/languages'); // See : http://codex.wordpress.org/Function_Reference/load_theme_textdomain
	//add_custom_background();
	//add_theme_support( 'custom-header' );
	add_editor_style();
	add_theme_support( 'automatic-feed-links' );
	//add_theme_support( 'menus' );
	register_nav_menu( 'header_menu', __( 'Header Menu', 'selaluceria' ) );
	add_theme_support( 'post-formats', array( 'aside', 'chat', 'gallery', 'image', 'link', 'quote', 'status', 'video' ) );
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 150, 130, false );
	// Load custom header
	require( get_template_directory() . '/inc/custom-header.php' );// Load custom header
}//End selaluceria_setup()
add_action( 'after_setup_theme', 'selaluceria_setup' );

function selaluceria_widgets_init() {
	register_sidebar( array(
		'name' => 'Footer',
		'id' => 'footer ',
		'description' => __('Footer Widget on all page', 'selaluceria'),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '</div><!-- End .widget -->'/* ,
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>' */
		)
	);
 	register_sidebar( array(
		'name' => 'Sidebar',
		'id' => 'sidebar',
		'description' => __('Sidebar Widget Just singular page', 'selaluceria'),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '</div><!-- End .widget -->'/* ,
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>' */
		)
	);
}//End selaluceria_widgets_init()
add_action( 'widgets_init', 'selaluceria_widgets_init');

function selaluceria_post_format(){
	if ( has_post_format( 'aside' )) {
		_e('<span class="sc-post-format aside"><span>aside</span></span>', 'selaluceria');
		}
	if ( has_post_format( 'chat' )) {
		_e('<span class="sc-post-format chat"><span>chat</span></span>', 'selaluceria');
		}
	if ( has_post_format( 'gallery' )) {
		_e('<span class="sc-post-format gallery"><span>gallery</span></span>', 'selaluceria');
		}
	if ( has_post_format( 'image' )) {
		_e('<span class="sc-post-format image"><span>image</span></span>', 'selaluceria');
		}
	if ( has_post_format( 'link' )) {
		_e('<span class="sc-post-format link"><span>link</span></span>', 'selaluceria');
		}
	if ( has_post_format( 'quote' )) {
		_e('<span class="sc-post-format quote"><span>quote</span></span>', 'selaluceria');
		}
	if ( has_post_format( 'status' )) {
		_e('<span class="sc-post-format status"><span>status</span></span>', 'selaluceria');
		}
	if ( has_post_format( 'video' )) {
		_e('<span class="sc-post-format video"><span>video</span></span>', 'selaluceria');
		}
	} // End selaluceria_post_format()

function selaluceria_entry_meta(){ ?>

				<span class='entry-meta clear'>
					<span class='permalink' title='permalink'>
						<span class='ico'><!-- Permalink: &nbsp;--></span>
						<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'selaluceria' ), the_title_attribute( 'echo=0' ) ); ?>"><?php _e('Permalink: ', 'selaluceria') ?></a>
					</span><!-- End .permalink -->
					<span class='comments-popup'>
						<span class='ico'><?php _e('Comments: ', 'selaluceria') ?><!-- &nbsp; --></span>
						<?php comments_popup_link( __('No Comments', 'selaluceria'), __('1 Comment', 'selaluceria'), __('% Comments', 'selaluceria'), '', __('Comments Closed', 'selaluceria') ); ?>
					</span><!-- End .comments-popup -->
					<?php if(is_search()) : ?>
					<?php /*
						<span class='the-category'>
							<span class='ico'>Category: <!-- &nbsp; --></span>
							<?php the_category(', '); ?>
						</span><!-- End .the-category -->
					*/ ?>
					<?php else : ?>

					<span class='the-category'>
						<span class='ico'><?php _e('Category: ', 'selaluceria') ?> <!-- &nbsp; --></span>
						<?php the_category(', '); ?>
					</span><!-- End .the-category -->
					<?php endif; ?>

				</span><!-- End .entry-meta .clear -->
<?php } // End selaluceria_entry_meta()

function selaluceria_entry_meta_singular(){ ?>

				<span class='entry-meta'>
					<span class='the-author clear'>
						<span title='author : <?php the_author(); ?>' class='ico'><?php _e('Author: ', 'selaluceria') ?><!-- &nbsp; --></span>
						<span><?php
								//the_author_link();
								the_author_posts_link();
								//the_author();
								?>
						</span>
					</span><!-- End .the-author -->
					<span class='comments-popup clear'>
						<span class='ico'><?php _e('Comment:', 'selaluceria') ?>  <!-- &nbsp; --></span>
						<?php comments_popup_link( __('No Comments', 'selaluceria'), __('1 Comment', 'selaluceria'), __('% Comments', 'selaluceria'), '', __('Comments Closed','selaluceria') ); ?>
					</span><!-- End .comments-popup -->
					<?php if ( is_single() ) {  ?>
					<?php the_tags('<span class=\'the-tag clear\'><span class=\'ico\'>Tags: <!-- &nbsp; --></span>', ', ' , '</span><!-- End .the-tag -->'); ?>
					<span class='the-category clear'>
						<span class='ico'><?php _e('Category: ', 'selaluceria') ?><!-- &nbsp; --></span>
						<?php the_category(', '); ?>
					</span><!-- End .the-category -->
					<?php previous_post_link( __('<span class=\'previous-post clear\'><span class=\'ico\'>Previous post:<!-- &nbsp; --></span> %link </span><!-- End .previous-post -->', 'selaluceria')) ?>
					<?php next_post_link( __('<span class=\'next-post clear\'><span class=\'ico\'>Next post: <!-- &nbsp; --></span> %link </span><!-- End .next-post -->', 'selaluceria') ) ?>
					<?php } //End if ( is_single() ) ?>
					<?php edit_post_link(); ?>
				</span><!-- End .entry-meta -->
<?php } // End selaluceria_entry_meta_singular()

function selaluceria_entry_style(){ ?>

				<div class='entry-style'>
					<?php //the_date('d M', '<span class=\'entry-date\'><span class=\'date\'>', '</span></span><!-- End .entry-date -->');
						printf('<span class=\'entry-date\'><span class=\'date\'>%1$s</span></span><!-- End .entry-date -->',
						esc_attr( get_the_date('d M') ));
					selaluceria_post_format(); ?>
				</div><!-- End .entry-style -->
<?php } // End selaluceria_entry_style()

function selaluceria_msie_style(){ ?>
	<!--[if lte IE 8]>
		<link rel='stylesheet' href='<?php echo get_template_directory_uri(); ?>/css/msie/ie.css' type='text/css' media='screen' />
	<![endif]-->
	<!--[if lte IE 7]>
		<link rel='stylesheet' href='<?php echo get_template_directory_uri(); ?>/css/msie/ie7.css' type='text/css' media='screen' />
	<![endif]-->
	<?php } // End selaluceria_msie_style
add_action('wp_head', 'selaluceria_msie_style');



// Comment reply.
add_action( 'wp_enqueue_scripts', 'selaluceria_enqueue_comment_reply' );
function selaluceria_enqueue_comment_reply() {
	if ( is_singular() && comments_open() && get_option('thread_comments')) { 
		wp_enqueue_script('comment-reply'); 
		}
	}

// Untitle
add_filter('the_title', 'selaluceria_untitle');
function selaluceria_untitle($title) {
	if ($title == '') {
		return __('Untitled', 'selaluceria');
	} else {
		return $title;
		}
	}

/* 
add_filter('use_default_gallery_style', '_return_false');// Remove gallery style: Maybe for next version

function selaluceria_remove_br_gallery($br_gallery_output){
	return preg_replace('/(<br[^>]*>\s*){2,}/', '', $br_gallery_output);
}
add_filter('the_content', 'selaluceria_remove_br_gallery', 11);
 */