<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes('xhtml'); ?>>
<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title><?php	
		// Print the <title> tag based on what is being viewed.
		global $page, $paged;	wp_title( '&raquo;', true, 'right' );	
		// Add the blog name.	
		bloginfo( 'name' );	
		// Add the blog description for the home/front page.	
		$site_description = get_bloginfo( 'description', 'display' );	
		if ( $site_description && ( is_home() || is_front_page() ) )		
			echo " &raquo; $site_description";
	?></title>
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<link rel="stylesheet" href="<?php echo get_stylesheet_uri(); ?>" type="text/css" />
	<?php wp_head() ?>
</head>
<body <?php body_class(); ?>>

	<div id='top' class='clear'>
		<div class='header width'>
			<div class='header-title'>
				<h1 id='blog-title'><a href="<?php echo home_url(); ?>" title='<?php bloginfo('name'); ?>'><?php bloginfo('name'); ?></a></h1>
				<h2 id='blog-description'><?php bloginfo('description'); ?></h2>
			</div><!-- header-title -->
			<?php get_search_form(); ?>
		</div><!-- End .header .width -->
	</div><!-- End #top .clear -->

	<?php
		// Custom header
		$header_image = get_header_image();
		if ( $header_image ) :
			$image_height  = get_custom_header()->height;
			echo "<div id='headerimage' style='background-image:url(\"" . esc_url( $header_image ) . "\");height:" . $image_height . "px;'></div>";
		endif; ?>

	<div id='menu' class='clear'>
		<div class='width'>
			<div class='navmenu clear'>
				<?php	wp_nav_menu( array( 
							'theme_location'	=> 'header_menu',
							'container'			=> false,
							'show_home'			=> '1'
							) );
				?>
			</div><!-- End .navmenu .clear -->	
		</div><!-- End .width -->
	</div><!-- End #menu .clear -->